Package org.codehaus.groovy.control.messages

## Class Message

- java.lang.Object
- - org.codehaus.groovy.control.messages.Message

- Direct Known Subclasses:
    `ExceptionMessage`, `SimpleMessage`, `SyntaxErrorMessage`

      public abstract class Message
      extends java.lang.Object

  A base class for compilation messages.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Message()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Message` | `create​(java.lang.String text, java.lang.Object data, ProcessingUnit owner)` | Creates a new Message from the specified text.
    `static Message` | `create​(java.lang.String text, ProcessingUnit owner)` | Creates a new Message from the specified text.
    `static Message` | `create​(SyntaxException error, SourceUnit owner)` | Creates a new Message from the specified SyntaxException.
    `void` | `write​(java.io.PrintWriter writer)` | A synonym for write( writer, owner, null ).
    `abstract void` | `write​(java.io.PrintWriter writer, Janitor janitor)` | Writes the message to the specified PrintWriter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message()

  - ### Method Detail

    - #### write

          public abstract void write​(java.io.PrintWriter writer,
                                     Janitor janitor)

      Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.

    - #### write

          public final void write​(java.io.PrintWriter writer)

      A synonym for write( writer, owner, null ).

    - #### create

          public static Message create​(java.lang.String text,
                                       ProcessingUnit owner)

      Creates a new Message from the specified text.

    - #### create

          public static Message create​(java.lang.String text,
                                       java.lang.Object data,
                                       ProcessingUnit owner)

      Creates a new Message from the specified text.

    - #### create

          public static Message create​(SyntaxException error,
                                       SourceUnit owner)

      Creates a new Message from the specified SyntaxException.